<?php
try {
    $pdo = new PDO('mysql:host=nombre_del_servidor;dbname=nombre_de_la_base_de_datos', 'nombre_de_usuario', 'contraseña');
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    // Datos del usuario (por ejemplo, desde un formulario)
    $nombreUsuario = "Nombre del usuario";
    
    // Verificar si el usuario ya ha registrado el desayuno
    $stmt = $pdo->prepare("SELECT desayuno_registrado, almuerzo_registrado FROM usuarios WHERE nombre = :nombre");
    $stmt->bindParam(':nombre', $nombreUsuario);
    $stmt->execute();
    $resultado = $stmt->fetch(PDO::FETCH_ASSOC);
    
    if ($resultado) {
        $desayunoRegistrado = $resultado['desayuno_registrado'];
        $almuerzoRegistrado = $resultado['almuerzo_registrado'];
        
        if ($desayunoRegistrado == 0) {
            // El usuario no ha registrado el desayuno, así que lo registramos
            $stmt = $pdo->prepare("UPDATE usuarios SET desayuno_registrado = 1 WHERE nombre = :nombre");
            $stmt->bindParam(':nombre', $nombreUsuario);
            $stmt->execute();
            echo "Desayuno registrado para $nombreUsuario.";
        } else {
            // El usuario ya ha registrado el desayuno, así que actualizamos el campo "almuerzo_registrado"
            if ($almuerzoRegistrado == 0) {
                $stmt = $pdo->prepare("UPDATE usuarios SET almuerzo_registrado = 1 WHERE nombre = :nombre");
                $stmt->bindParam(':nombre', $nombreUsuario);
                $stmt->execute();
                echo "Almuerzo registrado para $nombreUsuario.";
            } else {
                echo "El usuario ya ha registrado el almuerzo anteriormente.";
            }
        }
    } else {
        echo "Usuario no encontrado.";
    }
} catch (PDOException $e) {
    echo "Error al conectar a la base de datos: " . $e->getMessage();
}
?>