<?php
session_start(); // Iniciar la sesión al principio del script

include '../../backend/bd/ctconex.php'; // Incluir archivo de conexión

if (isset($_POST['titulo'])) {
    $id_persona = trim($_POST['titulo']);

    // Consulta para obtener la información del empleado por dniem
    $sql1 = "SELECT idemp FROM empleado WHERE dniem = :dniem";
    $stmt = $connect->prepare($sql1);
    $stmt->bindParam(':dniem', $id_persona);
    $stmt->execute();
    $result = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$result) {
        // Si no se encuentra el empleado, mostrar mensaje de error y redirigir
        $_SESSION['error1'] = "El empleado con ID $id_persona no existe en la base de datos";
        header("Location: ../../frontend/administrador_empleado/");
        exit;
    }

    $id_persona_asis = $result['idemp'];
    $fecha = date('Y-m-d');
    $estado = 1;

    // Verificar si ya está registrado el empleado para la fecha dada
    $sql2 = "SELECT COUNT(*) as count FROM asis_empl WHERE idemp = :idemp AND fere = :fere";
    $stmt2 = $connect->prepare($sql2);
    $stmt2->bindParam(':idemp', $id_persona_asis);
    $stmt2->bindParam(':fere', $fecha);
    $stmt2->execute();
    $result2 = $stmt2->fetch(PDO::FETCH_ASSOC);

    if ($result2['count'] > 0) {
        // Si ya está registrado para la fecha dada, mostrar mensaje y redirigir
        $_SESSION['salida'] = "El empleado $id_persona ya está registrado para la fecha $fecha";
        header("Location: ../../frontend/administrador_empleado/");
        exit;
    }

    // Insertar el nuevo registro en asis_empl
    $sql3 = "INSERT INTO asis_empl (idemp, fere, estado) VALUES (:idemp, :fere, :estado)";
    $stmt3 = $connect->prepare($sql3);
    $stmt3->bindParam(':idemp', $id_persona_asis);
    $stmt3->bindParam(':fere', $fecha);
    $stmt3->bindParam(':estado', $estado);

    if ($stmt3->execute()) {
        $_SESSION['msj'] = "Se registró un embarque al pasajero $id_persona";
        header("Location: ../../frontend/administrador_empleado/");
        exit;
    } else {
        $_SESSION['error'] = "Error al registrar el embarque: " . implode(" ", $stmt3->errorInfo());
        header("Location: ../../frontend/administrador_empleado/");
        exit;
    }
}
?>





